body {
  font-family: yekan;
}

#root {
  direction: rtl;
}

.wrapper {
  margin: 0 2em;
  display: block;

  .header {
    text-align: center;
    margin: 0 auto;

    .top-bar {
      display: flex;
      justify-content: space-between;
      align-items: center;

      .right-col {
        text-align: right;
      }

      .left-col {
        text-align: left;

        .login {
          cursor: pointer;
          font-weight: bold;
          border: 1px solid #EEE;
          background: #f7f7f7;
          padding: .8em 2em;
          border-radius: 8px;
          transition: all ease-in .2s;

          &:hover {
            background: #EEE;
            border-color: #cfcfcf;
          }
        }

        .logout {
          padding: 0 .4em;
          cursor: pointer;
        }
      }

    }

    .header-banner {
      width: 100%;
      height: auto;
    }

  }

  .main-content {
    display: grid;
    grid-template-columns: 1fr 3fr;
    grid-gap: 1em;
    margin: 1em 0;

    .sidebar {
      border: 1px solid #CCC;

      .sidebar-title {
        padding: 1em;
        margin: 0;
        color: purple;
        background-color: lighten(purple,50%);
        text-align: center;
        font-weight: bold;
      }

      .categories span {
        display: block;
        cursor: pointer;
        padding: .6em;
        margin: 0;
        color: #444;

        svg {
          margin-left: .4em;
        }
      }
    }

    .content-wrapper {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      border: 1px solid #EEE;
      border-radius: 4px;
      padding: 1em 0;

      .book-wrapper {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-gap: 1em;

        .book {
          text-align: center;
          cursor: pointer;
          transition: all ease-in .2s;

          img {
            box-shadow: 0 8px 10px -1px rgba(0, 0, 0, 0.4);
          }

          h6 {
            margin-bottom: 0;
          }

          p {
            color: #666666;
          }

          &:hover {
            margin-top: -.5em;
          }
        }
      }
    }

    .pagination {
      margin: 1em auto;

      li {
        list-style-type: none;
        display: inline;
        cursor: pointer;
        transition: all ease-in .15s;

         a {
           background: #EEE;
           border: 1px solid #AAA;
           border-radius: 4px;
           color: #333;
           padding: 1em;
           margin: 0 .2em;
           transition: all ease-in .15s;
         }

        &.active a {
          background: #333;
          color: #FFF
        }
      }
    }

  }

  .footer {
    position: relative;
    background: #333;
    padding: 1em;
    color: #FFF;
    text-align: center;
    line-height: 22px;

    .cols {
      display: flex;
      justify-content: space-around;

      .footer-col {
        text-align: right;
        flex: 1;
        padding: 0 1em;

        h6 {
          margin: 0 0 1em;
          padding: 1em 0;
          border-bottom: 1px solid #3F3F3F;
        }

        ul {
          list-style: none;
          padding: 0;
          margin: 0 .5em;
        }
      }
    }

    .copyright {
      background: linear-gradient(to bottom, #333, #000);
      position: absolute;
      display: block;
      left: 0;
      right: 0;
      margin: 1em 0 0;
      padding: .5em 1em;
      border-top: 1px dashed #555;
    }
  }
}

.login-wrapper {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  background: purple;
  width: 100%;
  height: 100vh;
  text-align: center;

  .login-form {
    background: #FFF;
    border-radius: 10px;
    display: inline-block;
    margin: 0 auto;
    padding: 2em;

    input {
      display: block;
      margin: 1em 2em;
      border: 1px solid #AAA;
      padding: 1em 1.5em;
      border-radius: 10px;
      font-family: yekan;
    }

    button {
      background: #189c65;
      color: #FFF;
      border: 1px solid #EEE;
      box-shadow: none;
      padding: 1em 3em;
      font-weight: bold;
      font-family: yekan;
      letter-spacing: 2px;
      display: block;
      margin: 0 auto;
      width: 80%;
    }

    p {
      color: red;
      text-align: center;
    }

  }
}

.modal-wrapper {
  display: flex;
  direction: rtl;

  .modal-content {
    padding: 0 1em;
  }
}